> ## Documentation Index
> Fetch the complete documentation index at: https://docs.senseaudio.cn/llms.txt
> Use this file to discover all available pages before exploring further.

# 查询图片任务

# 说明

使用异步方式生成图片任务后，使用此接口获取异步图片任务的状态和生成结果。


## OpenAPI

````yaml api-reference/endpoint/image/image.openapi.json GET /v1/image/pending
openapi: 3.1.0
info:
  title: SenseAudio - Image
  version: 1.0.0
servers:
  - url: https://api.senseaudio.cn
    description: 生产环境
security:
  - bearerAuth: []
paths:
  /v1/image/pending:
    get:
      summary: 图片生成信息
      operationId: imageImageGenerationPending
      parameters:
        - name: task_id
          in: query
          required: true
          schema:
            type: string
      responses:
        '200':
          description: 成功
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    description: 任务状态，可能为completed（生成成功）/failed（生成失败）/pending（正在生成）
                    type: string
                  error_message:
                    type: string
                    description: 如果状态为failed，此项存在并存储图片生成失败原因
                  url:
                    type: string
                    description: 如果状态为completed，此项存在并存储图片的 URL
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API_KEY
      description: 格式：`Bearer <API_KEY>`

````